package com.bjzc.bhzhgd;

import android.content.Context;
import com.tencent.bugly.crashreport.CrashReport;
import com.xuexiang.xui.XUI;
import com.yolanda.nohttp.NoHttp;
import com.zhy.autolayout.config.AutoLayoutConifg;
import org.litepal.LitePalApplication;
import androidx.multidex.MultiDex;

public class MyApplication extends LitePalApplication {
    public static Context context = null;

    @Override
    public void onCreate() {
        super.onCreate();
        XUI.init(this);
        NoHttp.initialize(this);
        AutoLayoutConifg.getInstance().useDeviceSize();
        CrashReport.initCrashReport(getApplicationContext(), "efefa9e04c", true);
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(base);
    }
}
